// priority: 0

// Visit the wiki for more info - https://kubejs.com/

ServerEvents.recipes(event => {

let ULV = 8
let LV = 16
let MV = 96
let HV = 192

// fluix_crystal

event.recipes.gtceu.mixer('kubejs:mixer/fluix_crystal')
.itemInputs('ae2:charged_certus_quartz_crystal')
.itemInputs('minecraft:redstone')
.itemInputs('minecraft:quartz')
.inputFluids(Fluid.of('minecraft:water', 50))
.itemOutputs('2x ae2:fluix_crystal')
.duration(20)
.EUt(ULV)

// glowstone_dust

event.recipes.gtceu.mixer('kubejs:mixer/glowstone_dust')
.itemInputs('#forge:dusts/certus_quartz')
.itemInputs('minecraft:redstone')
.itemInputs('gtceu:gold_dust')
.inputFluids(Fluid.of('minecraft:water', 50))
.itemOutputs('3x minecraft:glowstone_dust')
.duration(100)
.EUt(LV)

// skystone_dust

event.recipes.gtceu.mixer('kubejs:mixer/skystone_dust')
.itemInputs('#forge:dusts/certus_quartz')
.itemInputs('gtceu:nether_quartz_dust')
.itemInputs('gtceu:silver_dust')
.inputFluids(Fluid.of('gtceu:oxygen', 150))
.itemOutputs('3x ae2:sky_dust')
.duration(100)
.EUt(LV)

// pointed_dripstone

event.recipes.gtceu.mixer('kubejs:mixer/pointed_dripstone')
.itemInputs('gtceu:clay_dust')
.itemInputs('gtceu:calcite_dust')
.itemInputs('gtceu:quartz_sand_dust')
.inputFluids(Fluid.of('minecraft:water', 1000))
.itemOutputs('minecraft:pointed_dripstone')
.duration(200)
.EUt(MV)

// netherite_scrap

event.recipes.gtceu.mixer('kubejs:mixer/netherite_scrap')
.itemInputs('gtceu:chromium_dust')
.itemInputs('gtceu:aluminium_dust')
.itemInputs('gtceu:manganese_dust')
.itemInputs('4x gtceu:quartzite_gem')
.inputFluids(Fluid.of('gtceu:hydrochloric_acid', 250))
.itemOutputs('4x minecraft:netherite_scrap')
.duration(200)
.EUt(HV)

// grains_of_infinity

event.recipes.gtceu.mixer('kubejs:mixer/grains_of_infinity')
.itemInputs('gtceu:netherrack_dust')
.itemInputs('gtceu:endstone_dust')
.itemOutputs('enderio:grains_of_infinity')
.duration(200)
.EUt(LV)

// conduit_binder_composite

event.recipes.gtceu.mixer('kubejs:mixer/conduit_binder_composite')
.itemInputs('gtceu:flint_dust')
.itemInputs('gtceu:clay_dust')
.inputFluids(Fluid.of('minecraft:water', 50))
.itemOutputs('2x enderio:conduit_binder_composite')
.duration(20)
.EUt(LV)

// stainless_steel_dust

event.recipes.gtceu.mixer('kubejs:mixer/stainless_steel_dust')
.itemInputs('4x gtceu:iron_dust')
.itemInputs('3x gtceu:invar_dust')
.itemInputs('gtceu:manganese_dust')
.itemInputs('gtceu:chromium_dust')
.itemOutputs('9x gtceu:stainless_steel_dust')
.duration(600)
.EUt(120)

// black_bronze_dust

event.recipes.gtceu.mixer('kubejs:mixer/black_bronze_dust')
.itemInputs('3x gtceu:copper_dust')
.itemInputs('2x gtceu:electrum_dust')
.itemOutputs('5x gtceu:black_bronze_dust')
.duration(500)
.EUt(7)

// rose_gold_dust

event.recipes.gtceu.mixer('kubejs:mixer/rose_gold_dust')
.itemInputs('1x gtceu:copper_dust')
.itemInputs('4x gtceu:gold_dust')
.itemOutputs('5x gtceu:rose_gold_dust')
.duration(500)
.EUt(7)

// cobalt_brass_dust

event.recipes.gtceu.mixer('kubejs:mixer/cobalt_brass_dust')
.itemInputs('1x gtceu:cobalt_dust')
.itemInputs('1x gtceu:aluminium_dust')
.itemInputs('7x gtceu:brass_dust')
.itemOutputs('9x gtceu:cobalt_brass_dust')
.duration(900)
.EUt(7)

// brass_dust

event.recipes.gtceu.mixer('kubejs:mixer/brass_dust')
.itemInputs('3x gtceu:copper_dust')
.itemInputs('1x gtceu:zinc_dust')
.itemOutputs('4x gtceu:brass_dust')
.duration(400)
.EUt(7)

// ultimet_dust

event.recipes.gtceu.mixer('kubejs:mixer/ultimet_dust')
.itemInputs('5x gtceu:cobalt_dust')
.itemInputs('2x gtceu:chromium_dust')
.itemInputs('1x gtceu:nickel_dust')
.itemInputs('1x gtceu:molybdenum_dust')
.itemOutputs('9x gtceu:ultimet_dust')
.duration(900)
.EUt(480)

// soldering_alloy_dust

event.recipes.gtceu.mixer('kubejs:mixer/soldering_alloy_dust')
.itemInputs('6x gtceu:tin_dust')
.itemInputs('3x gtceu:lead_dust')
.itemInputs('1x gtceu:antimony_dust')
.itemOutputs('10x gtceu:soldering_alloy_dust')
.duration(200)
.EUt(7)


// fin //

  })